// MainFrm.cpp 

#include "stdafx.h"
#include "Single.h"

#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//////////////////////////////////////////////////////////////////////////////////////////////
// Объекты класса CMainFrame могут создаваться динамически
IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

// Таблица сообщений класса CMainFrame
BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	//{{AFX_MSG_MAP(CMainFrame)
	ON_WM_CREATE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// Идентификаторы панели состояния
static UINT indicators[] =
{
	ID_SEPARATOR,           
	ID_INDICATOR_CAPS,
	ID_INDICATOR_NUM,
	ID_INDICATOR_SCRL,
};

/////////////////////////////////////////////////////////////////////////////
// Конструктор класса CMainFrame
CMainFrame::CMainFrame()
{
	// TODO: 
}

// Деструктор класса CMainFrame
CMainFrame::~CMainFrame()
{
}

// Метод OnCreate класса CMainFrame
int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	// Вызываем метод OnCreate базового класса 
	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;

	// Создаем панель управления toolbar
	if (!m_wndToolBar.Create(this) ||
		!m_wndToolBar.LoadToolBar(IDR_MAINFRAME))
	{
		// Ошибка при создании панели управления toolbar
		TRACE0("Failed to create toolbar\n");
		return -1;      
	}

	// Создаем панель состояния status bar
	if (!m_wndStatusBar.Create(this) ||
		!m_wndStatusBar.SetIndicators(indicators,
		  sizeof(indicators)/sizeof(UINT)))
	{
		// Ошибка при создании панели состояния status bar
		TRACE0("Failed to create status bar\n");
		return -1; 
	}

	// TODO: вы можете изменить характеристики панели 
	// управления, убрав некоторые флаги CBRS_
	m_wndToolBar.SetBarStyle(m_wndToolBar.GetBarStyle() |
		CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC);

	// TODO: вы можете запретить перемещение панели управления, 
	// если удалите следующие три строки программы
	m_wndToolBar.EnableDocking(CBRS_ALIGN_ANY);
	EnableDocking(CBRS_ALIGN_ANY);
	DockControlBar(&m_wndToolBar);

	return 0;
}

// Метод PreCreateWindow класса CMainFrame
BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Здесь вы можете внести изменения в структуру cs

	return CFrameWnd::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// Диагностические методы класса CMainFrame 
#ifdef _DEBUG

// Метод AssertValid класса CMainFrame
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

// Метод Dump класса CMainFrame
void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////

